http_message_t Struct Reference
Collaboration diagram for http_message_t:
[legend]

## Data Fields

int | initialized
http_method_t | method
uri_type | uri
http_method_t | request_method
int | status_code
membuffer | status_msg
size_t | amount_discarded
int | is_request
int | major_version
int | minor_version
LinkedList | headers
memptr | entity
membuffer | msg
char * | urlbuf

## Field Documentation

## amount_discarded

size_t http_message_t::amount_discarded

response only. the amount of data that's been read by the user, that's no longer in the raw message buffer.

## entity

memptr http_message_t::entity

message body(entity).

## headers

LinkedList http_message_t::headers

Referenced by print_http_headers().

## is_request

int http_message_t::is_request

if TRUE, msg is a request, else response.

Referenced by print_http_headers().

## method

http_method_t http_message_t::method

request only.

Referenced by print_http_headers(), process_request(), ssdp_event_handler_thread(), and valid_ssdp_msg().

## msg

membuffer http_message_t::msg

entire raw message.

## request_method

http_method_t http_message_t::request_method

response only.

## status_code

int http_message_t::status_code

response only.

Referenced by genaNotify(), and print_http_headers().

## status_msg

membuffer http_message_t::status_msg

response only.

Referenced by print_http_headers().

## uri

uri_type http_message_t::uri

request only.

Referenced by get_dev_service(), print_http_headers(), and process_request().

## urlbuf

char* http_message_t::urlbuf

storage for url string.

The documentation for this struct was generated from the following file:

- upnp/src/inc/httpparser.h